import floors from "../../styles/data/breakpoints.module.scss";
export const breakpoints = Object.entries(floors).map(([name, floor], i, entries) => {
  const nextBreak = entries[i + 1];
  return {
    name,
    min: i === 0 ? -1 : parseInt(floor, 10),
    max: nextBreak ? parseInt(nextBreak[1], 10) : Infinity
  };
});
export const breakpointNames = breakpoints.map(b => b.name);
export const breakpointMins = Object.fromEntries(breakpoints.map(b => [b.name, b.min]));
export const breakpointMaxes = Object.fromEntries(breakpoints.map(b => [b.name, b.max]));